org.keycloak.models

## Class ClaimTypeModel

- java.lang.Object
- - org.keycloak.models.ClaimTypeModel

-     public class ClaimTypeModel
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClaimTypeModel.ValueType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaimTypeModel()`
    `ClaimTypeModel(ClaimTypeModel copy)`
    `ClaimTypeModel(String id, String name, boolean builtIn, ClaimTypeModel.ValueType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getId()`
    `String` | `getName()`
    `ClaimTypeModel.ValueType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isBuiltIn()`
    `void` | `setBuiltIn(boolean builtIn)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setType(ClaimTypeModel.ValueType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClaimTypeModel

          public ClaimTypeModel(ClaimTypeModel copy)

    - #### ClaimTypeModel

          public ClaimTypeModel(String id,
                                String name,
                                boolean builtIn,
                                ClaimTypeModel.ValueType type)

    - #### ClaimTypeModel

          public ClaimTypeModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### isBuiltIn

          public boolean isBuiltIn()

    - #### getType

          public ClaimTypeModel.ValueType getType()

    - #### setId

          public void setId(String id)

    - #### setName

          public void setName(String name)

    - #### setBuiltIn

          public void setBuiltIn(boolean builtIn)

    - #### setType

          public void setType(ClaimTypeModel.ValueType type)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.